/*
 * ASPMode.java 
 * Copyright (c) 1999 Andr Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
import org.gjt.sp.jedit.Mode;
import org.gjt.sp.jedit.syntax.TokenMarker;
import org.gjt.sp.util.Log;

/**
 * Helps loading ASP Modes
 *
 * @author Andre Kaplan
 * @version 0.6
 */
public class ASPMode 
	extends Mode
{
	public ASPMode(String name, String className)
	{
		super(name);
		this.className = className;
	}

	// public members
	public TokenMarker createTokenMarker()
	{
		try {
			return (TokenMarker)Class.forName(this.className).newInstance(); 
		}
		catch (ClassNotFoundException cnfe) {
			Log.log(Log.ERROR, this, cnfe);
			return null;
		}
		catch (IllegalAccessException iae) {
			Log.log(Log.ERROR, this, iae);
			return null;
		}
		catch (InstantiationException ie) {
			Log.log(Log.ERROR, this, ie);
			return null;
		}
	}

	private String className = null;
}
