/*
 * ASPModePlugin.java - Plugin for ASP mode
 * Copyright (c) 1999 Andr Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import org.gjt.sp.jedit.EditPlugin;
import org.gjt.sp.jedit.jEdit;
import org.gjt.sp.jedit.Mode;

import org.gjt.sp.util.Log;

/**
 * ASP Mode plugin
 * 
 * @author  Andre Kaplan
 * @version 0.6
 */
public class ASPModePlugin
	extends EditPlugin
{
	// public members
	public void start()
	{
		jEdit.addMode(new ASPMode("ASP",            "jedit.syntax.ASPTokenMarker"));
		jEdit.addMode(new ASPMode("ASP-JAVASCRIPT", "jedit.syntax.ASPJavascriptTokenMarker"));
		jEdit.addMode(new ASPMode("ASP-PERL",       "jedit.syntax.ASPPerlscriptTokenMarker"));
		jEdit.addMode(new ASPMode("ASP-VBSCRIPT",   "jedit.syntax.VBScriptTokenMarker"));
		// Log.log(Log.MESSAGE, this, "ASPModePlugin started");
	}

	public void stop()
	{
	}
}
